Bug Hunting Session
Bug 94456 - FILEOPEN: RTF - Heading position incorrect
Summary: FILEOPEN: RTF - Heading position incorrect
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
4.3.0.0.alpha1
Hardware: All Linux (All)
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:5.1.0 target:5.0.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2015-09-22 22:19 UTC by Norbert Bollow
Modified: 2016-10-25 19:19 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
simple test document (8.64 KB, application/vnd.oasis.opendocument.text)
2015-09-22 22:19 UTC, Norbert Bollow
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Norbert Bollow 2015-09-22 22:19:07 UTC
Created attachment 118950 [details]
simple test document

Steps:
1) Open the attached simple test document
2) Notice that the start of the heading and the text are aligned
3) Save it as an RTF
4) Quit Libreoffice, start it again
5) Reopen RTF
6) Notice that the heading has significantly moved to the right

This is a regression and a fileopen issue, as the RTF file opens correctly
in LibreOffice 4.2.8.2.
Comment 1 Cor Nouws 2015-09-23 05:30:26 UTC
Thanks Norbert for the clear description and test result!

I confirm it opens fine in 4.2.8.2 and not in 4.3.0.0.alpha1 (and 5.0.2.2 and in daily Build ID: 41007842ed9bb5d6165792a197769f72dae55a2c)
Cheers - Cor
Comment 2 Matthew Francis 2015-09-24 20:27:31 UTC
This seems to have begun at the below commit.
Adding Cc: to vmiklos@collabora.co.uk; Could you possibly take a look at this one? Thanks

    commit e1e50f7b31a481f399318cb63efcae6c1d62f6f3
    Author:     Miklos Vajna <vmiklos@collabora.co.uk>
    AuthorDate: Tue Mar 4 18:57:27 2014 +0100
    Commit:     Miklos Vajna <vmiklos@collabora.co.uk>
    CommitDate: Tue Mar 4 19:22:44 2014 +0100
    
        writerfilter: convert sprm:P{DxaRight,DxaLeft,DxaLeft1}
    
        Change-Id: Iffb80e9844132aeeaf3e338c4817b44520e40f3a
Comment 3 Commit Notification 2015-09-28 09:44:43 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b669d85de9c933553ae57a9f51902bce7f9da9b5

tdf#94456 RTF import: fix list vs paragraph style interaction wrt para indents

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2015-10-09 10:18:53 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8add771c71900d38ec0faee4fd89d946f95f0cd0&h=libreoffice-5-0

tdf#94456 RTF import: fix list vs paragraph style interaction wrt para indents

It will be available in 5.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Robinson Tryon (qubit) 2015-12-17 10:33:08 UTC Comment hidden (obsolete)